subroutine select(x0, x1, x2, x3)
! Selecteaza punctul cel mai indepartat de x3 si il elimina.
! Atribuie x3 lui x2.

r0 =abs(x3-x0)
r1 =abs(x3-x1)
r2 =abs(x3-x2)

rmax =max(r0, r1, r2)

if(rmax ==r0) then	! Exclude x0
x0 =x1
x1 =x2

elseif(rmax ==r1) then	! Exclude x1
!x0=x0
x1 =x2

else	! Exclude x2
!x0 =x0; x1=x1;
endif

x2 =x3
end
